## org.metaabm.examples.stupid5
Class StupidModel5

    java.lang.Object
      org.ascape.model.AscapeObject
          org.ascape.model.Agent
              org.ascape.model.LocatedAgent
                  org.ascape.model.Cell
                      org.ascape.model.CellOccupant
                          org.ascape.model.Scape
                              org.metaabm.examples.stupid5.StupidModel5

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.EventListener, ControlListener, ScapeListener, Location, Node, SpaceContext, HasName, RandomFunctions, IGraphicsAdapted

Direct Known Subclasses:
  StupidModel53D

    public class StupidModel5

extends Scape
implements IGraphicsAdapted

Stupid Model 5 Java Implementation. Generated by AMF for model: StupidModel5.metaabm in project: org.eclipse.amp.amf.examples.escape

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.ascape.model.Scape
`Scape.ConditionalIterator, Scape.DrawFeatureObservable`

Field Summary

Fields inherited from class org.ascape.model.Scape
`AGENT_ORDER, agentsPerIteration, ALL_AGENTS, CLEAR_STATS_RULE, COLLECT_STATS_RULE, COMPARE_ORDERED_QUALIFIERS, COMPLETE_TOUR, copyrightAndCredits, CREATE_GRAPHIC_VIEW_RULE, CREATE_RULE, CREATE_SCAPE_RULE, CREATE_VIEW_RULE, EXECUTE_RULES_RULE, INITIAL_RULES_RULE, initialRules, prototypeAgent, REPEATED_DRAW, RULE_ORDER, version`

Fields inherited from class org.ascape.model.CellOccupant
`PLAY_HOST_RULE, RANDOM_WALK_AVAILABLE_RULE`

Fields inherited from class org.ascape.model.Cell
`CALCULATE_NEIGHBORS_RULE, neighbors, PLAY_NEIGHBORS_RULE, PLAY_RANDOM_NEIGHBOR_RULE`

Fields inherited from class org.ascape.model.LocatedAgent
`agentSize, coordinate, MOVE_RANDOM_LOCATION_RULE, RANDOM_WALK_RULE, thisUpdate`

Fields inherited from class org.ascape.model.Agent
`DEATH_RULE, FISSIONING_RULE, FORCE_DIE_RULE, FORCE_FISSION_RULE, FORCE_MOVE_RULE, INITIALIZE_RULE, ITERATE_AND_UPDATE_RULE, ITERATE_RULE, METABOLISM_RULE, MOVEMENT_RULE, PLAY_OTHER, UPDATE_RULE`

Fields inherited from class org.ascape.model.AscapeObject
`ARBITRARY_SEED, name, PLATFORM_DEFAULT_COLOR, scape`

Constructor Summary
`StupidModel5()` Constructs a new Stupid Model 5.

Method Summary
`void` `calculateTimeStep(int timeStep)`
`java.lang.Object` `clone()` Clones the agent, ensuring that a unique id is assigned.
`protected void` `create2DViews()`
`protected Bug` `createBugPrototype()` Create an instance of Bug that will be used to populate the bugScape.
`protected void` `createChartViews()`
`void` `createGraphicViews()` Creates UI views for Stupid Model 5.
`protected void` `createGraphViews()`
`void` `createScape()` Creates the members of Stupid Model 5.
`int` `getBugCount()` Gets the Bug Count property for Stupid Model 5.
`Scape` `getBugScape()` Returns the Scape containing Bugs.
`int` `getBugVision()` Gets the Bug Vision property for Stupid Model 5.
`java.util.List<IAgentChild>` `getChildren()`
`IGraphicsAdapter` `getGraphicsAdapter()`
`Scape` `getGrid2D()` Gets the Grid 2D property for Stupid Model 5.
`int[]` `getGrid2DDimensions()` Gets the Dimensions property for Grid 2D.
`int` `getGrid2DHeight()` Gets the Height property for Grid 2D.
`int` `getGrid2DWidth()` Gets the Width property for Grid 2D.
`int` `getHabitatCount()` Gets the Habitat Count property for Stupid Model 5.
`java.lang.String` `getName()`
`long` `getUID()`
`static void` `main(java.lang.String[] args)`
`void` `scapeSetup(ScapeEvent scapeEvent)`
`void` `setBugCount(int _bugCount)` Sets the Bug Count property for Stupid Model 5.
`void` `setBugVision(int _bugVision)` Sets the Bug Vision property for Stupid Model 5.
`void` `setGrid2D(Scape _grid2D)` Sets the Grid 2D property for Stupid Model 5.
`void` `setGrid2DDimensions(int[] _grid2DDimensions)` Sets the Dimensions property for Grid 2D.
`void` `setGrid2DHeight(int _grid2DHeight)` Sets the Height property for Grid 2D.
`void` `setGrid2DWidth(int _grid2DWidth)` Sets the Width property for Grid 2D.
`void` `setHabitatCount(int _habitatCount)` Sets the Habitat Count property for Stupid Model 5.
`void` `startSimulationAgentChild(int timeStep)`

Methods inherited from class org.ascape.model.Scape

`add, add, add, add, addAll, addDrawFeature, addInitialRule, addInitialRule, addRule, addRule, addScapeListener, addScapeListenerFirst, addStatCollector, addStatCollectorIfNew, addStatCollectors, addView, addView, addView, addViews, addViews, addViews, assignParameters, assignParameters, calculateDistance, calculateDistance, clear, construct, contains, containsAll, contentsToString, countWithin, createNonGraphicViews, createSelfView, createViews, createViews, environmentQuiting, execute, execute, executeOnMembers, executeOnMembers, executeOnMembers, executeOnMembers, executeOnRoot, executeOnRoot, find, findMaximum, findMaximum, findMaximumWithin, findMinimum, findMinimum, findMinimumWithin, findNearest, findRandom, findRandom, findRandom, findRandomCoordinate, findWithin, get, get, getAgentsPerIteration, getAllScapes, getCollectStats, getData, getDescription, getDrawFeatures, getDrawFeaturesObservable, getEnvironment, getExecutionOrder, getExecutionStyle, getExtent, getHome, getHTMLDescription, getInitialRules, getIteration, getIterationsPerRedraw, getModel, getPausePeriod, getPeriod, getPeriodDescription, getPeriodName, getPrototype, getPrototypeAgent, getRoot, getRules, getRunner, getScapeListeners, getSize, getSpace, getStartPeriod, getStatCollectors, getStopPeriod, getSuperScape, getThreadCount, getUIEnvironment, getUserEnvironment, hasWithin, initialize, isAllViewsUpdated, isAutoCreate, isCellsRequestUpdates, isEmpty, isGraphic, isHome, isLifeOfScape, isListenersAndMembersCurrent, isMembersActive, isMutable, isPaused, isPeriodic, isPopulateOnCreate, isRoot, isRunning, isScapeListener, isSerializable, isStartOnOpen, isUpdateNeeded, isValidPeriod, isViewSelf, iterator, listenerOrMemberUpdated, listenerUpdated, memberUpdated, moveAway, moveToward, newAgent, newAgent, notifyViews, notifyViews, populate, remove, remove, removeAll, removeDrawFeature, removeScapeListener, respondControl, respondDrawFeature, retainAll, retrieveAllAccessors, retrieveAllAccessorsOrdered, retrieveModelAccessorsOrdered, save, save, scapeAdded, scapeClosing, scapeDeserialized, scapeInitialized, scapeIterated, scapeIterator, scapeIterator, scapeIterators, scapeNotification, scapeRandomIterator, scapeRemoved, scapeStarted, scapeStopped, search, searchMax, searchMin, set, set, set, set, setAgentsPerIteration, setAutoCreate, setAutoRestart, setCellsRequestUpdates, setCollectStats, setCollectStats, setDescription, setEarliestPeriod, setExecutionOrder, setExecutionStyle, setExtent, setExtent, setExtent, setHome, setHTMLDescription, setInitialRules, setIterationsPerRedraw, setIterationsPerRedraw, setLatestPeriod, setMembersActive, setPaused, setPausePeriod, setPeriodic, setPeriodName, setPopulateOnCreate, setPrototypeAgent, setRunner, setRunning, setSerializable, setSize, setSpace, setStartOnOpen, setStartPeriod, setStopPeriod, setSuperScape, setThreadCount, setViewSelf, size, toArray, toArray, toString, withinIterator`

Methods inherited from class org.ascape.model.CellOccupant

`die, findAvailableNeighbors, findNearest, findNearest, findNearest, findNearest, findNearest, findNeighbors, findNeighborsOnHost, findRandomAvailableNeighbor, findRandomNeighbor, findRandomNeighborOnHost, findWithin, findWithin, findWithin, getCoordinate, getHostCell, getHostScape, leave, moveAway, moveTo, moveToRandomLocation, moveToward, playNeighbors, playRandomNeighbor, randomWalk, randomWalkAvailable, setHostCell, setHostScape`

Methods inherited from class org.ascape.model.Cell
`calculateNeighbors, countNeighbors, findOccupants, findRelative, getDistance, getNeighbors, getNeighbors, getNetwork, getOccupant, hostedCondition, isAvailable, removeOccupant, setNeighbors, setNeighborsList, setNetwork, setOccupant`

Methods inherited from class org.ascape.model.LocatedAgent
`calculateDistance, calculateDistance, countWithin, countWithin, countWithin, findMaximumWithin, findWithin, getAgentSize, hasWithin, hasWithin, hasWithin, isUpdateNeeded, moveAway, moveAway, moveTo, moveToward, moveToward, requestUpdate, requestUpdateNext, setAgentSize, setCoordinate`

Methods inherited from class org.ascape.model.Agent
`clearDeleteMarker, death, deathCondition, execute, execute, fission, fissionCondition, fissioning, getColor, getColor, getImage, getImage, getPlatformColor, isDelete, isInitialized, iterate, markForDeletion, metabolism, move, movement, movementCondition, play, scapeCreated, setInitialized, setScape, update`

Methods inherited from class org.ascape.model.AscapeObject
`diffDeep, diffDeep, diffDeepBFS, diffDeepDFS, diffDeepValidate, diffDeepVisit, equalsDeep, equalsDeep, equalsDeep, getComparisonStream, getRandom, getRandomSeed, getScape, randomInRange, randomInRange, randomIs, randomToLimit, reseed, setComparisonStream, setName, setRandom, setRandomSeed`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Collection
`equals, hashCode`

Methods inherited from interface org.ascape.model.event.ScapeListener
`getScape`

Methods inherited from interface org.ascape.model.space.Location
`clearDeleteMarker, isDelete, markForDeletion, setCoordinate`

Constructor Detail

### StupidModel5

    public StupidModel5()

  Constructs a new Stupid Model 5.

Method Detail

### getChildren

    public java.util.List<IAgentChild> getChildren()

### getUID

    public long getUID()

### clone

    public java.lang.Object clone()

  Clones the agent, ensuring that a unique id is assigned.

  Specified by:
    `clone` in interface `ScapeListener`
  Specified by:
    `clone` in interface `Location`
  Overrides:
    `clone` in class `Scape`
  Returns:
    the object

### createBugPrototype

    protected Bug createBugPrototype()

  Create an instance of Bug that will be used to populate the bugScape. Overide to customize the prototype, for example to change the views created for a member scape.

### createScape

    public void createScape()

  Creates the members of Stupid Model 5.

  Overrides:
    `createScape` in class `Scape`
  See Also:
    `Scape.setPopulateOnCreate(boolean)`

### createGraphicViews

    public void createGraphicViews()

  Creates UI views for Stupid Model 5.

  Overrides:
    `createGraphicViews` in class `Scape`

### scapeSetup

    public void scapeSetup(ScapeEvent scapeEvent)

  Specified by:
    `scapeSetup` in interface `ScapeListener`
  Overrides:
    `scapeSetup` in class `Scape`
  Parameters:
    `scapeEvent` - the associated scape event

### getBugScape

    public Scape getBugScape()

  Returns the Scape containing Bugs.

### createChartViews

    protected void createChartViews()

### create2DViews

    protected void create2DViews()

### createGraphViews

    protected void createGraphViews()

### getGraphicsAdapter

    public IGraphicsAdapter getGraphicsAdapter()

  Specified by:
    `getGraphicsAdapter` in interface `IGraphicsAdapted`

### main

    public static void main(java.lang.String[] args)

### startSimulationAgentChild

    public void startSimulationAgentChild(int timeStep)

### calculateTimeStep

    public void calculateTimeStep(int timeStep)

### getBugCount

    public int getBugCount()

  Gets the Bug Count property for Stupid Model 5.

  Returns:
    The number of bugs to create.

### setBugCount

    public void setBugCount(int _bugCount)

  Sets the Bug Count property for Stupid Model 5. The number of bugs to create.

  Parameters:
    `_bugCount` - the new Bug Count value

### getHabitatCount

    public int getHabitatCount()

  Gets the Habitat Count property for Stupid Model 5.

  Returns:
    The number of habitats to create.

### setHabitatCount

    public void setHabitatCount(int _habitatCount)

  Sets the Habitat Count property for Stupid Model 5. The number of habitats to create.

  Parameters:
    `_habitatCount` - the new Habitat Count value

### getBugVision

    public int getBugVision()

  Gets the Bug Vision property for Stupid Model 5.

  Returns:

### setBugVision

    public void setBugVision(int _bugVision)

  Sets the Bug Vision property for Stupid Model 5.

  Parameters:
    `_bugVision` - the new Bug Vision value

### getGrid2DDimensions

    public int[] getGrid2DDimensions()

  Gets the Dimensions property for Grid 2D.

  Returns:
    The size of each dimension.

### setGrid2DDimensions

    public void setGrid2DDimensions(int[] _grid2DDimensions)

  Sets the Dimensions property for Grid 2D. The size of each dimension.

  Parameters:
    `_grid2DDimensions` - the new Dimensions value

### getGrid2DWidth

    public int getGrid2DWidth()

  Gets the Width property for Grid 2D.

  Returns:
    The horizontal extent of the space.

### setGrid2DWidth

    public void setGrid2DWidth(int _grid2DWidth)

  Sets the Width property for Grid 2D. The horizontal extent of the space.

  Parameters:
    `_grid2DWidth` - the new Width value

### getGrid2DHeight

    public int getGrid2DHeight()

  Gets the Height property for Grid 2D.

  Returns:
    The vertical extent of the space.

### setGrid2DHeight

    public void setGrid2DHeight(int _grid2DHeight)

  Sets the Height property for Grid 2D. The vertical extent of the space.

  Parameters:
    `_grid2DHeight` - the new Height value

### getGrid2D

    public Scape getGrid2D()

  Gets the Grid 2D property for Stupid Model 5.

  Returns:

### setGrid2D

    public void setGrid2D(Scape _grid2D)

  Sets the Grid 2D property for Stupid Model 5.

  Parameters:
    `_grid2D` - the new Grid 2D value

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `SpaceContext`
  Specified by:
    `getName` in interface `HasName`
  Overrides:
    `getName` in class `Scape`
  Returns:
    the name